aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-09-27 14:43:16 -0300
committerSilvio Rhatto <rhatto@riseup.net>2011-09-27 14:43:16 -0300
commit402782207daaea438316c4ef9b38f3e5198beb03 (patch)
treec2dcdb77c54b0014477ef4393e89124dc969717c /share/hydractl/backup-restore
parent39136920a61f3bba86ea26d6f23bfe6e23926157 (diff)
downloadhydra-402782207daaea438316c4ef9b38f3e5198beb03.tar.gz
hydra-402782207daaea438316c4ef9b38f3e5198beb03.tar.bz2
More backup actions
Diffstat (limited to 'share/hydractl/backup-restore')
-rwxr-xr-xshare/hydractl/backup-restore11
1 files changed, 11 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore b/share/hydractl/backup-restore
new file mode 100755
index 0000000..581ac63
--- /dev/null
+++ b/share/hydractl/backup-restore
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# Backup restoration.
+#
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+hydra_backup_environment $*
+duplicity restore file:///$BACKUPDIR/ $RESTOREDIR/